diff --git a/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh b/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
index 271e92c7bf12d0bdbcd238c15d41d08d2b6762ed..4219d1909bd4efc223420277cfc9b68d5dd1d8ef 100755
--- a/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
+++ b/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
@@ -5,7 +5,10 @@
 
 # generate binary input files through tcmpfloat.py
 ./runctest.sh tcmpfloat
-if [ $? -ne 0 ]; then echo "Failed to generate test input files"; exit 1; fi
+RESULT=$?
+
+if [ $RESULT -eq 3 ]; then exit 3; fi
+if [ $RESULT -ne 0 ]; then echo "Failed to generate test input files"; exit 1; fi
 
 
 status=0